#include <iostream>
#include<bits/stdc++.h>

using namespace std;

int main()
{
    int n,k,br=1,t=0;
    cin>>n>>k;
    int a[n];
    int b[n];
    for(int i=0; i<n; i++)
        cin>>a[i];
   sort(a,a+n);
     for(int i=0; i<n; i++)
        {
            if(a[i]!=b[t-1])
            {

            if(a[i]==a[i+1])
            {

                br++;
            if(br==k)
            {
             b[t]=a[i];
             t++;
             }
            }
            if(a[i]!=a[i-1])
            br=1;
            }

        }
        cout<<t<<endl;
        for(int i=0; i<t; i++)
            cout<<b[i];

}